QGIS Application - Bug report #4472
Single-band Colormap color wrong on one end of color scale.
2011-10-31 11:09 AM - Thaddeus -

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 14399
Description

On the raster layer, the value of 10 should have no color, just like the way it is handled on the other end -- 70 values -- because the color
map entered by the user ends on 20 and 70.

This wrong coloring is telling the user that purple color represent values of 20's, such as 20.1, 20.5, 20.999, etc., which is wrong because
there are values of 10 too.

History

#1-2011-10-31 11:10 AM - Thaddeus -
- File Test.qgs.png added

#2 - 2011-11-01 11:24 AM - Thaddeus -
- File D_sample.png added

Well, IMHO, this behavior of the color is very confusing and misleading, enough to be called a bug instead of a new feature.

Unless the user is very familiar with the data and calculating the statistics of the band every time he/she loads/test new values/data, big mistakes can be

made.

Moreover, some effects can not be realized, such as a mask -- semi-transparent overlay region, say to show tsunami safe areas -- by coloring just the
values in the range of 20's (20.1, 20.5, etc, 20.999); for this, one would need to enter two discrete color entries, 20 and 30, resulting in a second unwanted

color if a mask is desired (in some cases, when dealing with integer, a work around could be using 100% transparency).

Here are some screenshot:

#3 - 2011-11-01 11:25 AM - Thaddeus -
- File E_sample.png added

#4 - 2011-11-01 11:25 AM - Thaddeus -
- File S_sample.png added

#5 - 2011-12-16 02:10 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#6 - 2012-04-16 06:31 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master
- Target version changed from Version 1.7.4 to Version 1.8.0

#7 - 2012-09-04 11:56 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2012-10-05 06:50 AM - Giovanni Manghi

Still confirmed in master.

#9 - 2014-06-28 07:41 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#10 - 2017-05-01 01:10 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#11 - 2019-03-09 04:04 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to end of life

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files

Test.zip 17.8 KB 2011-10-31 Thaddeus -

Test.qgs.png 88.9 KB 2011-10-31 Thaddeus -

D_sample.png 18.1 KB 2011-11-01 Thaddeus -

E_sample.png 9.2 KB 2011-11-01 Thaddeus -

S_sample.png 4.89 KB 2011-11-01 Thaddeus -
